Skip to Content
kosemdocs
ReferenceAPIModels

Delete model in project

Deletes a model. Requests for it then fail. An organization's model that projects adopted fails with failed_precondition, and the reason MODEL_ADOPTED, unless force is set, which deletes their adoptions too.

DELETE
/v1/projects/{project}/models/{model}

Deletes a model. Requests for it then fail.

An organization's model that projects adopted fails with failed_precondition, and the reason MODEL_ADOPTED, unless force is set, which deletes their adoptions too.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
model*string

The model's ID.

Match^mdl_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

force?boolean

For an organization's model: deletes it even when projects adopted it, and their adoptions too. Without it, deleting an adopted model fails with failed_precondition.

Response Body

No Content

Example Request
curl -X DELETE 'https://api.kosem.ai/v1/projects/string/models/string'
Example Response
Empty